<?
require_once  '../core/system.php';
echo only_reg();
echo ban();
$header = 'Достижения';
require_once H.'core/head.php';
switch($act) {
case 'shahtir':
if($user[shahtir_level] < 10){
if($user[shahtir_exp] < 100){
$_SESSION['err'] = "Нужно 100 опыта шахтёра!";
header('Location: ?');
exit();
}else{
mysql_query("UPDATE `user` SET `shahtir_level` = '".($user['shahtir_level']+1)."', `shahtir_exp` = '".($user['shahtir_exp']-100)."', `gold` = '".($user['gold']+30)."' WHERE `id` = '$user[id]' LIMIT 1");
$_SESSION['message'] = "+1 уровень шахтёра, Награда 30 золота!";
header('Location: ?');
exit();
}
}else{
$_SESSION['err'] = "У вас максимальный уровень шахтёра!";
header('Location: ?');
exit();
}
break;
default;
echo "<div class='player'>";
echo "<div class='block_zero'>";
echo "<img src='/dost/images/shahtir/$user[shahtir_level].png' style='float:left;margin-right:10px;margin-top:-0px;'/><br>
<div style='display:inline-block;'>
<b class='dgreen'>Шахтёр</b><br/>";
if($user[shahtir_level] < 10){
echo"<span class='medium'>Получи новый уровень шахтёра<br/><span class='blue'>Прогресс:</span>
<div class='stat_bar' style='margin:2px 0px 2px'>
<div class='progress' style='width:".round(100/(100/($user[shahtir_exp]+0)))."%'></div>
</div>
<span class='blue'>Награда:</span> <img src='/images/icon/gold.png'> 30<br>
<a class='btn' href='?act=shahtir'><span class='end'><span class='label'>Получить награду</span></span></a>
</div></div></div></div>";}
else{echo"<span class='medium'>У вас максимальный уровень шахтера <br/></div>
</div><span class='blue'>Уровень:</span> 10<br/></br><br/>
</div>";}
}
require_once H.'core/foot.php';
?>